Bug 502832 - Update rhn-i18n-guides to reflect changes in monitoring locations
Update rhn-i18n-guides to reflect changes in monitoring locations
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Documentation (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: John Ha
wes hayutin
: Documentation
Depends On:
Blocks: 456984
  Show dependency treegraph
 
Reported: 2009-05-27 08:12 EDT by Milan Zazrivec
Modified: 2014-08-04 18:18 EDT (History)
4 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 518523 (view as bug list)
Environment:
Last Closed: 2009-09-10 16:45:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch against en-US solving the incosistency. (5.45 KB, patch)
2009-05-27 08:12 EDT, Milan Zazrivec
no flags Details | Diff

  None (edit)
Description Milan Zazrivec 2009-05-27 08:12:50 EDT
Created attachment 345601 [details]
Patch against en-US solving the incosistency.

Description of problem:
There have been several changes in monitoring regarding placement of
scripts, libraries and log files, which needs to be reflected in
Satellite documentation.

Version-Release number of selected component (if applicable):
rhn-i18n-guides-5.3.11-1.el5sat

How reproducible:
Always

Steps to Reproduce:
File / directory paths at following chapters / sections need to be valid:
1. Look at Installation Guide, 7.1. Log Files
2. Look at Installation Guide, 4.4. Sendmail Configuration
3. Look at Reference Guide, 8.2. Red Hat Network Monitoring Daemon (rhnmd)
  
Actual results:
Installation & Reference Guide tell /opt/notification, /opt/nocpulse and
/home/nocpulse rather than /var/log/notification, /var/log/nocpulse
and /var/lib/nocpulse.

Expected results:
Paths reflect reality.

Additional info:
N/A
Comment 2 John Ha 2009-06-10 12:04:12 EDT
I've made the following changes. Please let me know if they are correct and I will commit them to the final English docs. Thanks in advance!

In Reference Guide (7.2.4, Installing the SSH Key):

Changed /opt/nocpulse/.ssh/authorized_keys to /var/lib/nocpulse/.ssh/authorized_keys


In the Installation Guide (4.4. Sendmail Configuration):
Changed the line
ln -s /opt/notification/scripts/ack_enqueuer.pl /etc/smrsh/

into

ln -s /var/log/notification/scripts/ack_enqueuer.pl /etc/smrsh/


In the Installation Guide (7.1 Log Files):
In Table 7.1, changed "Monitoring infrastructure" from /home/nocpulse/var/ to /var/lib/nocpulse

In Table 7.1, changed "Monitoring notifications" from /opt/notification/var/ to /var/log/notification/
Comment 3 Milan Zazrivec 2009-06-10 12:17:45 EDT
(In reply to comment #2)
> I've made the following changes. Please let me know if they are correct
> and I will commit them to the final English docs. Thanks in advance!
> 
> In Reference Guide (7.2.4, Installing the SSH Key):
> 
> Changed /opt/nocpulse/.ssh/authorized_keys to
> /var/lib/nocpulse/.ssh/authorized_keys

Correct.

> In the Installation Guide (4.4. Sendmail Configuration):
> Changed the line
> ln -s /opt/notification/scripts/ack_enqueuer.pl /etc/smrsh/
> 
> into
> 
> ln -s /var/log/notification/scripts/ack_enqueuer.pl /etc/smrsh/

This should be changed to:

ln -s /usr/bin/ack_enqueuer.pl /etc/smrsh/

> In the Installation Guide (7.1 Log Files):
> In Table 7.1, changed "Monitoring infrastructure" from /home/nocpulse/var/
> to /var/lib/nocpulse

Correct.

> In Table 7.1, changed "Monitoring notifications" from /opt/notification/var/
> to /var/log/notification/

Correct.
Comment 4 John Ha 2009-06-10 13:47:14 EDT
Okay, thanks for the clarification on the path of /usr/bin/ack_enqueuer.pl
Fixed in the latest build of the affected manuals:

Installation Guide (4.4 Sendmail Configuration):
http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Network_Satellite/5.3.0/html/Installation_Guide/s1-installation-sendmail.html

Installation Guide (7.1 Log Files):
http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Network_Satellite/5.3.0/html/Installation_Guide/ch-troubleshooting.html#s1-log-files

Reference Guiide (8.2.4 Installing the SSH Key):
http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Network_Satellite/5.3.0/html/Reference_Guide/s1-mon-rhnmd.html#s2-mon-rhnmd-ssh
Comment 6 wes hayutin 2009-06-15 14:11:30 EDT
fails.. the old location for nocpulse is listed

8.2.4. Installing the SSH key

Whether you use rhnmd or sshd, you must install the Red Hat Network Monitoring Daemon public SSH key on the systems to be monitored to complete the secure connection. To install it:

   1.

      Navigate to the Monitoring ⇒ Scout Config Push page on the Satellite interface and click the name of the RHN Server that will monitor the client system. The SSH id_dsa.pub key is visible on the resulting page.
   2.

      Copy the character string (beginning with ssh-dss and ending with the hostname of the RHN Server).
   3.

      On the command line of the system to be monitored, switch to the user aligned with the daemon. This is accomplished for rhnmd with the command:

      su - nocpulse

   4.

      Paste the key character string into the ~/.ssh/authorized_keys file for the daemon's user. For rhnmd, this is /opt/nocpulse/.ssh/authorized_keys.
Comment 8 wes hayutin 2009-06-22 10:40:48 EDT
verified 6/19

#

Navigate to the Monitoring ⇒ Scout Config Push page on the Satellite interface and click the name of the RHN Server that will monitor the client system. The SSH id_dsa.pub key is visible on the resulting page.
#

Copy the character string (beginning with ssh-dss and ending with the hostname of the RHN Server).
#

On the command line of the system to be monitored, switch to the user aligned with the daemon. This is accomplished for rhnmd with the command:

su - nocpulse

#

Paste the key character string into the ~/.ssh/authorized_keys file for the daemon's user. For rhnmd, this is /var/lib/nocpulse/.ssh/authorized_keys.

If config management is enabled on the systems to be monitored, you may deploy this file across systems using a config channel. Refer to Section 7.7.1, “Preparing Systems for Config Management” for details.
Comment 9 Miroslav Suchý 2009-08-20 10:13:52 EDT
Look at Installation Guide, 7.1. Log Files:

Monitoring infrastructure  is /var/lib/nocpulse/ directory 
    should be /var/log/nocpulse/

Other 2 location are correctly fixed.
Comment 10 Clifford Perry 2009-08-20 13:46:19 EDT
Goign to clone for one missing item.
Comment 11 Brandon Perkins 2009-09-10 16:45:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.